
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#语言实现推箱子 / 憋错料</title>

    <meta name="description" content="C#语言实现推箱子 话不多说直接上代码 using System; namespace Boxer { class Program { const int WIDTH = 8; const int HEIGHT = 8; static int[,] map = new int[HEIGHT, WIDTH]{ {0, 0, 1, 1, 1, 0, 0, 0}, {0, 0, 1, 4, 1, 0, 0, 0}, {0, 0, 1, 0, 1, 1, 1, 1}, {1, 1, 1, 3, 0, 3, 4, 1}, {">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C#语言实现推箱子</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　话不多说直接上代码</p>
<p>　　</p>
<pre>using System;

namespace Boxer
{
    class Program
    {
        const int WIDTH = 8;
        const int HEIGHT = 8;
        static int[,] map = new int[HEIGHT, WIDTH]{
                            {0, 0, 1, 1, 1, 0, 0, 0},
                            {0, 0, 1, 4, 1, 0, 0, 0},
                            {0, 0, 1, 0, 1, 1, 1, 1},
                            {1, 1, 1, 3, 0, 3, 4, 1},
                            {1, 4, 0, 3, 2, 1, 1, 1},
                            {1, 1, 1, 1, 3, 1, 0, 0},
                            {0, 0, 0, 1, 4, 1, 0, 0},
                            {0, 0, 0, 1, 1, 1, 0, 0}
                        };
        static int x, y;
        static int boxs;

        /**
        *	0	表示空
        *	1	表示墙
        *	2	表示人
        *	3	表示箱子
        *	4	表示目的地（球）
        *	5	表示已完成的箱子
        */
        static void Main(string[] args)
        {

                char direction;     //存储键盘按的方向
                initData();         //初始化一些数据

                //开始游戏的循环，这里是个死循环，每按一次按钮循环一次
                while (true)
                {
                //每次循环的开始清除屏幕
                //system("cls");
                Console.Clear();
                //绘画地图
                drawMap();

                    //判断，当boxs的数量0时，!0为真，然后走break跳出循环（结束游戏）
                    if (boxs == 0)
                    {
                        break;
                    }

                //键盘输入方向，这里使用getch，因为getch读取字符不会显示在屏幕上
                direction = Console.ReadKey().KeyChar;

                    //用switch判断用户输入的方向
                    switch (direction)
                    {
                        case ‘w‘:
                            //按w时，调用向上移动函数
                            moveUp();
                            break;
                        case ‘a‘:
                            //按a时，调用向左移动函数
                            moveLeft();
                            break;
                        case ‘s‘:
                            moveDown();
                            break;
                        case ‘d‘:
                            moveRight();
                            break;
                    }
                }
                //当跳出循环时，运行该语句，游戏结束
            Console.WriteLine("恭喜你完成游戏！※");
            Console.ReadKey();

        }

        //初始化一些数据
        public static void initData()
        {
            int i, j;

            //加载数据时让用户等待，一般情况加载数据比较快
            Console.WriteLine("游戏加载中，请稍后.........");

            //遍历地图中的数据
            for (i = 0; i &lt; HEIGHT; i++)
            {
                for (j = 0; j &lt; WIDTH; j++)
                {
                    //遍历到2（人）时，记录人的坐标。x， y是前面定义的全局变量
                    if (map[i,j] == 2)
                    {
                        x = j;
                        y = i;
                    }
                    //遍历到3时，箱子的数目增加。boxs是前面定义的全局变量
                    if (map[i,j] == 3)
                    {
                        boxs++;
                    }
                }
            } 

        }

        //在控制台上打印地图
        public static void drawMap()
        {
            int i, j;
            for (i = 0; i &lt; WIDTH; i++)
            {
                for (j = 0; j &lt; HEIGHT; j++)
                {
                    switch (map[i,j])
                    {
                        case 0:
                            Console.Write("  ");
                            break;
                        case 1:
                            Console.Write("■");
                            break;
                        case 2:
                            Console.Write("♀");
                            break;
                        case 3:
                            Console.Write("◆");
                            break;
                        case 4:
                            Console.Write("●");
                            break;
                        case 5:
                            Console.Write("★");
                            break;
                    }
                }
                Console.Write("\n");
            }

        }

        //向上移动
        public static void moveUp()
        {
            int ux, uy;

            //当上方没有元素时，直接return	（其实人不可能在边缘）
            if (y == 0)
            {
                return;
            }

            //记录上方坐标，x为横，y为纵，所有ux = x, uy = y - 1;
            ux = x;
            uy = y - 1;

            //上方为已完成的箱子
            if (map[uy,ux] == 5)
            {
                return;
            }
            //假设上方为墙，直接return，这个和上面的判断可以合在一起，这里为了看清楚分开写
            if (map[uy,ux] == 1)
            {
                return;
            }

            //假设上方为箱子
            if (map[uy,ux] == 3)
            {
                //判断箱子上方是否为墙
                if (map[uy - 1,ux] == 1)
                {
                    return;
                }

                //判断箱子上方是否为终点
                if (map[uy - 1,ux] == 4)
                {
                    //将箱子上面内容赋值为5★
                    map[uy - 1,ux] = 5;
                    map[uy,ux] = 0;

                    //箱子的数目减1
                    boxs--;
                }
                else
                {
                    //移动箱子
                    map[uy - 1,ux] = 3;
                }
            }
            //当上面几种return的情况都没遇到，人肯定会移动，移动操作如下
            map[y,x] = 0;
            map[uy,ux] = 2;
            //更新人的坐标
            y = uy; 

        }

        //向左移动
        public static void moveLeft()
        {
            int lx, ly;

            //当左边没有元素时，直接return
            if (x == 0)
            {
                return;
            }

            //记录左边坐标
            lx = x - 1;
            ly = y;

            //左边为已完成方块
            if (map[ly,lx] == 5)
            {
                return;
            }

            //假设左边为墙，直接return
            if (map[ly,lx] == 1)
            {
                return;
            }

            //假设左边为箱子
            if (map[ly,lx] == 3)
            {
                //判断箱子左边是否为墙
                if (map[ly,lx - 1] == 1)
                {
                    return;
                }

                //判断箱子左边是否为球
                if (map[ly,lx - 1] == 4)
                {
                    //将箱子左边内容赋值为5★
                    map[ly,lx - 1] = 5;
                    map[ly,lx] = 0;

                    //箱子的数目减1
                    boxs--;
                }
                else
                {
                    //移动箱子
                    map[ly,lx - 1] = 3;
                }
            }
            map[y,x] = 0;
            map[ly,lx] = 2;
            x = lx; 

        }

        //向下移动
        public static void moveDown()
        {
            int dx, dy;

            //当下方没有元素时，直接return
            if (y == HEIGHT - 1)
            {
                return;
            }

            //记录下方坐标
            dx = x;
            dy = y + 1;

            //下方为已完成方块
            if (map[dy,dx] == 5)
            {
                return;
            }

            //假设下方为墙，直接return
            if (map[dy,dx] == 1)
            {
                return;
            }

            //假设下方为箱子
            if (map[dy,dx] == 3)
            {
                //判断箱子下方是否为墙
                if (map[dy + 1,dx] == 1)
                {
                    return;
                }

                //判断箱子下方是否为球
                if (map[dy + 1,dx] == 4)
                {
                    //将箱子下面内容赋值为5★
                    map[dy + 1,dx] = 5;
                    map[dy,dx] = 0;

                    //箱子的数目减1
                    boxs--;
                }
                else
                {
                    //移动箱子
                    map[dy + 1,dx] = 3;
                }
            }
            map[y,x] = 0;
            map[dy,dx] = 2;
            y = dy; 

        }

        //向右移动
        public static void moveRight()
        {
            int rx, ry;

            //当右边没有元素时，直接return
            if (x == WIDTH - 1)
            {
                return;
            }

            //记录右边坐标
            rx = x + 1;
            ry = y;

            //右边为已完成方块
            if (map[ry,rx] == 5)
            {
                return;
            }

            //假设右边为墙，直接return
            if (map[ry,rx] == 1)
            {
                return;
            }

            //假设右边为箱子
            if (map[ry,rx] == 3)
            {
                //判断箱子右边是否为墙
                if (map[ry,rx + 1] == 1)
                {
                    return;
                }

                //判断箱子左边是否为球
                if (map[ry,rx + 1] == 4)
                {
                    //将箱子右边内容赋值为5★
                    map[ry,rx + 1] = 5;
                    map[ry,rx] = 0;

                    //箱子的数目减1
                    boxs--;
                }
                else
                {
                    //移动箱子
                    map[ry,rx + 1] = 3;
                }
            }
            map[y,x] = 0;
            map[ry,rx] = 2;
            x = rx; 

        }

    }
}
</pre>
<p>　　</p>

<p>原文地址：https://www.cnblogs.com/AndyLin/p/11611933.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 09:21:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/down/" title="down">down</a>, <a href="https://www.biecuoliao.com/tag/highlight/" title="highlight">highlight</a>, <a href="https://www.biecuoliao.com/tag/ini/" title="ini">ini</a>, <a href="https://www.biecuoliao.com/tag/%e6%93%8d%e4%bd%9c/" title="操作">操作</a>, <a href="https://www.biecuoliao.com/tag/key/" title="key">key</a>, <a href="https://www.biecuoliao.com/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.biecuoliao.com/tag/sha/" title="sha">sha</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%80%e8%b5%b7/" title="一起">一起</a>, <a href="https://www.biecuoliao.com/tag/%e5%85%a8%e5%b1%80/" title="全局">全局</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C#语言实现推箱子的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MywdVA3.html" rel="bookmark">C语言版推箱子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推箱子源代码初步: 1 #include&lt;stdio.h&gt; 2 #include&lt;conio.h&gt; 3 #include&lt;stdlib.h&gt; 4 #define boolean int 5 #define true 1 6 #define false 0 7 8 #define ROWS 10 9 //之所以定义为11,是因为字符串的尾部的\0 10 #define COLUMNS 11 11 12 //根据程序定义或者文件读入来构建地图,然后把他绘制到屏幕上 13 v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bOJwo3.html" rel="bookmark">c语言游戏推箱子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两天做了推箱子小游戏,看似简单的一个小游戏背后却 有巨大的秘密,这秘密就是一大堆逻辑. 自从学习了函数过后,的确是解决了很多问题,而且调用很方便,尽管我现在都不是很会调用. 写完一个函数,准备测试一下的时候就蒙b了.最开始是要解决目标的问题,用了一个结构体来 定位.然后还要定位到要到小人的位置,输出地图,里面的墙.目标和箱子都是用数字来代替的 所以,给地图定了两个轴 x y 这样就解决了小人移动的问题,而地图是用数组来组件的,利用 x y + - 就能办到移动的问题,但是还有一需要一起移动的箱			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmOVxV3.html" rel="bookmark">C语言 控制台版 推箱子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /* 2 * box.c 3 * 推箱子 4 *Author: Dan Alone Studio 5 *Date: 2015-07-26 6 */ 7 8 #include&lt;stdio.h&gt; 9 #include&lt;stdlib.h&gt; 10 11 typedef struct 12 { 13 int row; 14 int col; 15 } Pos; 16 17 typedef struct 18 { 19 Pos man; 20 Pos box; 21 } Mab; 22 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02wwPn3.html" rel="bookmark">c语言实现的推箱子小游戏-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本次游戏是个推箱子第一关最简单的小游戏 有详细注释,下面是做出来的游戏界面 游戏操作说明和功能说明: 按wasd控制小人的上下左右移动. 按 r 重新开始游戏 游戏开始有操作介绍 游戏结束有胜利提示 游戏原理分析 游戏开始时的星星个数 = 箱子在星星上的个数时 , 游戏胜利. 按 r 键重新开始游戏, 我们需要定义一个量 map_1[8][8] 来保存游戏初始时的界面, 操作时我们将其赋值给 map[8][8] 来进行操作,以便重新归位, 这里就用到了memcpy()函数. wasd 代表上下左			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OzzyX0.html" rel="bookmark">完整版本的推箱子小游戏，最简单的纯C语言打造</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/* 推箱子小游戏 1.定义绘制样式 用二维数组的方式 2.绘制图像 3.找出当前位置 4.逻辑判断,制造动作 根据数学xy轴的规律,这里使用ij 上移,行轴上升,行数减少 下移,行数下降,函数增加 左移,列数向左,列数减少 右移,列数向右,列数增加 */ #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #include &lt;conio.h&gt; #define ROWS 8 //行数 #define COLS 9 //列数 int i = 0;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dlbr70.html" rel="bookmark">c语言推箱子 扫雷项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推箱子 两关的推箱子用到一个三维数组 用到的图片数据如下 https://pan.baidu.com/s/1IDE4GQLo46cxNywDqwxmlQ 密码:jdel 代码如下: #include&lt;stdio.h&gt;#include&lt;easyx.h&gt;#include&lt;conio.h&gt;//getch不显示字母#include&lt;mmsystem.h&gt;#pragmacomment(lib,&quot;winmm.lib&quot;)//PlaySound播放wav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MywkoL3.html" rel="bookmark">致佳音&colon; 推箱子游戏自动求解算法设计&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一个小节我们说一说传说中的A×算法,其实之前也上传过类似的小件件,这里我们就去剖析一下它 毕竟在游戏程序,我们要从一点移动到另一点,并得到最短路程的轨迹,类似这种算法还有好几种,执行效率都差不多,不过大多不能得到轨迹 首先,从一点移动到另一点,最快就是直接走过去了,就像小男生爱上小女生,最好的办法就是直接走到她面前说:我爱你 不过理想状态,几乎是没有的,弯路那是必然的经过,有曲线,其实更美-- 那么弯路该怎么走呢,是不是先去背景看下毛主席,再去三亚晒个太阳,再回来告诉她外面的世界好美,不,不,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dRowz4.html" rel="bookmark">推箱子游戏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本游戏为推箱子游戏,即通过移动方向键来控制小人去推动箱子,直到把所有的箱子都推动到各个目标中.游戏需要在人物行走过程中无法穿越墙和箱子,并在有限的范围中放好各箱子,且每次只能搬运一个箱子.所基于的语言是8086汇编,使用的编译环境是唐都的集中开发环境TD-PIT. 本次设计的基本思想是通过将不同的元素(墙.路.箱子.人.目标位)抽象为不同的矩阵,然后将所设计的地图描抽象成一个控制矩阵来控制图像的显示,每一个控制矩阵块代表一个元素,我们通过不断刷新控制矩阵来达到显示人物移动及推箱子的效果. 1.1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDbznY3.html" rel="bookmark">来点福利，看二维数组如何打造推箱子小游戏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C语言学好,通杀C++.这就是方向之一. 前面看过的读者,是不是觉得很鸡肋的知识,全是基本的运用,可是呢?还是看不出能干吗. 那么下面就用二维数组打造,推箱子小游戏.首先,得问问,有何思路? 光写没有用,没到一部分内容觉得可以了,最好先打印下看看效果,要不然写到都不知道自己有没有写错! 效果如图: 打印这部成功后,可以继续了,没有成功者,仔细检查,错误超出一百以上那肯定是头文件的问题. 这步很关键,没有定位,很难移动,几乎全是报错 这步也能首先打印初始化的坐标. 既然定位坐标的情况已经做好,是不			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDjvo3.html" rel="bookmark" class="title">匿名管道</a>
					<div>
						1关于管道 有两种类型的管道:匿名管道和命名管道.匿名管道比命名管道需要更少的开销,但是提供有限的服务. 术语管道,就像用在这里的,暗示管道被用作一个信息管子.从概念上讲,一个管道有两端.单向管道允许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGRzX3.html" rel="bookmark" class="title">使用node-inspector调试nodejs程序&amp;lt&semi;nodejs&amp;gt&semi;</a>
					<div>
						1.npm install -g node-inspector  // -g 导入安装路径到环境变量 一般是c盘下AppData目录下 2.node-inspector &amp; //启动node- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a76yv4.html" rel="bookmark" class="title">Linux 使用core file文件快速定位程序崩溃代码行</a>
					<div>
						问题描述 如果在 Linux下编写程序,有时运行程序的时候程序崩溃,比如说只有&quot;Segmentation fault (core dumped) &quot;,程序比较小的话,还可以一行一行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kng9EM.html" rel="bookmark" class="title">CSS层叠样式表</a>
					<div>
						层叠样式表     Cascading Style Sheet 一.层叠样式表的分类:1.外部——.css文件2.内嵌——&lt;head&gt;&lt;/head&gt;3.内联——放在标记的sty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Ygx7q4.html" rel="bookmark" class="title">day46homework常量字符串拼接结构赋值扩展运算符for-of循环map函数默认值</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAbv23.html" rel="bookmark" class="title">C&plus;&plus; 四种强制转换符的区别</a>
					<div>
						作为四个内部类型转换操作符之一的dynamic_cast和传统的C风格的强制类型转换有着巨大的差别.除了dynamic_cast以外的转换,其行为的都是在编译期就得以确定的,转换是否成功,并不依赖被转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZyND0.html" rel="bookmark" class="title">Android自定义相机超详细讲解</a>
					<div>
						Android自定义相机超详细讲解 转载请标明出处: http://blog.csdn.net/vinicolor/article/details/49642861: 由于网上关于Android自定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDdEaM.html" rel="bookmark" class="title">探秘Java虚拟机&mdash;&mdash;内存管理与垃圾回收</a>
					<div>
						详见:http://blog.yemou.net/article/query/info/tytfjhfascvhzxcyt106 1.Java虚拟机运行时的数据区 2.常用的内存区域调节参数 -Xms ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAdJN4.html" rel="bookmark" class="title">PHP手册学习小记</a>
					<div>
						1,当提交表单时,可以用一幅图像代替标准的提交按钮,用类似这样的标记: &lt;input type=&quot;image&quot; src=&quot;image.gif&quot; name= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYRgK4.html" rel="bookmark" class="title">JSP里比对单选框或复选框的数值而自动打勾</a>
					<div>
						&lt;table&gt; &lt;tr&gt; &lt;td class=&quot;tableleft&quot;&gt;状态&lt;/td&gt; &lt;td&gt;&lt;input typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODKx84.html" rel="bookmark" class="title">Voreen&lpar;二&rpar; 入点出点计算</a>
					<div>
						继第一篇Voreen的文章介绍主流程以后,第二篇介绍Raycast的第一个绘制Pass,根据代理几何体绘制出入点出点.如上次所说,OptimizedProxyGeometry负责生成表示体数据的代理几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0le2ZP3.html" rel="bookmark" class="title">SqlServer&lowbar;删除重复行只保留一条记录</a>
					<div>
						前提:相同的数据重复往数据库写入,导致存在仅主键Id不同的重复数据,现在需要去除重复数据,仅保留重复数据中Id最大的一条 思路: 1.找出存在重复数据的记录,并取重复数据中最大的Id值 2.删除记录中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeYmVM.html" rel="bookmark" class="title">php中浮点数计算问题</a>
					<div>
						如果用php的+-*/计算浮点数的时候,可能会遇到一些计算结果错误的问题,比如echo intval( 0.58*100 );会打印57,而不是58,这个其实是计算机底层二进制无法精确表示浮点数的一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ez8R53.html" rel="bookmark" class="title">障偬苁舷诼k8o44dib45206780g7m</a>
					<div>
						新华社瓦莱塔4月10日电(记者李拯宇 李佳)全国政协主席俞正声10日在前往非洲三国进行正式友好访问途中过境马耳他,在瓦莱塔会见马耳他议长法鲁贾. 俞正声说,中马保持长期友好关系,政治上相互信任,经济上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezmWD3.html" rel="bookmark" class="title">x80386汇编</a>
					<div>
						EAX寄存器:EAX称为累加器,常用于算数运算.布尔操作.逻辑操作.返回函数结果等.EBX寄存器:EBX称为基址寄存器,常用于存档内存地址.ECX寄存器:ECX称为计数寄存器,常用于存放循环语句的循环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vBxXR3.html" rel="bookmark" class="title">重建中国&period;NET生态系统</a>
					<div>
						Neuzilla官方微信公众号:搜 架构师联盟 或 neuzilla 我是.NET铁杆粉丝,所以如果你要在评论里跟我撕逼.NET怎么怎么烂,Java.C++.PHP.JavaScript怎么怎么好,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1B7w0.html" rel="bookmark" class="title">python import 和 from&period;&period;&period;&period;&period;&period;&period;&period;&period;import 模块加载和作用域</a>
					<div>
						import导入:如import moduleName 变量名moduleNmae有两个目的:识别要被载入的外部文件同时生成脚本中的变量,在文件加载后,用来引用模块对象:因为import使一个变量名引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aGYNk4.html" rel="bookmark" class="title">c&num; &period;NET 进行数据库备份和还原</a>
					<div>
						本文主要内容来源stswordman的介绍,开发环境为10,数据库为08R2 原文地址http://www.cnblogs.com/stswordman/archive/2006/08/06/4690 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k65gPM.html" rel="bookmark" class="title">php的输出函数</a>
					<div>
						echo &quot;a&quot;,&quot;b&quot;,&quot;c&quot;; echo (&quot;a&quot;),(&quot;b&quot;),(&quot;c&quot;) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRJJb4.html" rel="bookmark" class="title">大数据具体有哪些类型你知道吗</a>
					<div>
						对于大部分人来讲,大数据离我们的生活还是很遥远的,但它的威力却已经无处不在了.如今,我们只有理解大数据并借助其优势做出决策,才能发挥它的巨大作用.今天就由千锋大数据开发培训的讲师来为大家讲一下大数据的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
